import QtQuick 2.0
import QtMultimedia 5.5
import QmlVlc 0.1


Item {
    objectName: "Project"
    anchors.fill: parent
    focus: true

    property var fontMain: Qt.font({ family: "Arial",  pixelSize: 30});

    Rectangle {
        objectName: "background"
        id: fon
        color: "#000000"
        anchors.fill: parent
    }

    Item {
        objectName: "Live"
        property string link_type: "layer"
        id: layerLive
        opacity: 1.0
        anchors.fill: parent
        z: 40

        Camera {
            objectName: "Block_LIVE"
            property string link_type: "live"
            id: camera4Live
            captureMode: Camera.CaptureViewfinder
            //deviceId: "@device:sw:{860BB310-5D01-11D0-BD3B-00A0C911CE86}\\FD422 Board 1 Input 1 Video Capture"
            deviceId: ""
        }

        VideoOutput {
            id: videoOutput4Live
            source: camera4Live
            anchors.fill: parent
        }

        states: [
            State {
                name: "Show"
                PropertyChanges { target: layerLive; opacity: 1.0 }
                //StateChangeScript {
                //    name: "Show"
                //    script: camera4Live.play();
                //}
            },
            State {
                name: "Hide"
                PropertyChanges { target: layerLive; opacity: 0.0 }
            }
        ]
    }

    Item {
        objectName: "Picture"
        property string link_type: "layer"
        id: layerPicture
        opacity: 0.0
        anchors.fill: parent
        z: 10

        Image {
            objectName: "Block_PICTURE"
            property string link_type: "picture"
            id: imagePICTURE
            source: "test.jpg"
            anchors.fill: parent
        }

        states: [
            State {
                name: "Show"
                PropertyChanges { target: layerPicture; opacity: 1.0 }
            },
            State {
                name: "Hide"
                PropertyChanges { target: layerPicture; opacity: 0.0 }
            }
        ]
    }

    Keys.onPressed: {
        console.log("\nKey Pressed\n");
        if(event.key === Qt.Key_F2) {
            if( layerLive.state != "Hide" )  layerLive.state = "Hide";
            if( layerPicture.state != "Show" )  layerPicture.state = "Show";
        } else if(event.key === Qt.Key_F1) {
            if( layerLive.state != "Show" )  layerLive.state = "Show";
            if( layerPicture.state != "Hide" )  layerPicture.state = "Hide";
        } else if(event.key === Qt.Key_Escape) {
            if( layerLive.state != "Hide" )  layerLive.state = "Hide";
            if( layerPicture.state != "Hide" )  layerPicture.state = "Hide";
        }
    }
}
